Podręcznik PHP
Poprzedni |  | Następny

# XMLReader::open

(no version information, might be only in CVS)

XMLReader::open -- Set the URI containing the XML to parse

## Opis

class XMLReader {
bool open ( string URI [, string encoding [, int options]] )
}

Set the URI containing the XML document to be parsed.

## Parametry

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## Rejestr zmian

Wersja | Opis
--- | ---
5.2.0 | `encoding` and `options` were added.

## Patrz także

XMLReader::XML
XMLReader::close

Poprzedni | Spis treści | Następny
XMLReader::next | Początek rozdziału | XMLReader::read